Subject: Re: What's cooking in git.git (Nov 2012, #03; Tue, 13)

From: Mark Levedahl <[email-masked]>
Date: Tue, 13 Nov 2012 20:18:53 -0500

On 11/13/2012 03:45 PM, Torsten Bögershausen wrote:
>> * ml/cygwin-mingw-headers (2012-11-12) 1 commit
>>   - Update cygwin.c for new mingw-64 win32 api headers
>>
>>   Make git work on newer cygwin.
>>
>>   Will merge to 'next'.
> (Sorry for late answer, I managed to test the original patch minutes before Peff merged it to pu)
> (And thanks for maintaining git)
>
> Is everybody using cygwin happy with this?
>
> I managed to compile on a fresh installed cygwin,
> but failed to compile under 1.7.7, see below.
> Is there a way we can achieve to compile git both under "old" and "new" cygwin 1.7 ?
> Or is this not worth the effort?
> /Torsten
>
>
>
I found no version info defined that could be used to automatically 
switch between the old and current headers. You can always

     make V15_MINGW_HEADERS=1 ...

to force using the old set if you do not wish to update your installation.

Mark